diff --git a/src/cxx.cc b/src/cxx.cc
index 423f72e..ecc3668 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -9,45 +9,45 @@
 #include <vector>
 
 extern "C" {
-void cxxbridge05$cxx_string$init(std::string *s, const uint8_t *ptr,
-                                 size_t len) noexcept {
+void cxxbridge1$cxx_string$init(std::string *s, const uint8_t *ptr,
+                                size_t len) noexcept {
   new (s) std::string(reinterpret_cast<const char *>(ptr), len);
 }
 
-void cxxbridge05$cxx_string$destroy(std::string *s) noexcept {
+void cxxbridge1$cxx_string$destroy(std::string *s) noexcept {
   using std::string;
   s->~string();
 }
 
-const char *cxxbridge05$cxx_string$data(const std::string &s) noexcept {
+const char *cxxbridge1$cxx_string$data(const std::string &s) noexcept {
   return s.data();
 }
 
-size_t cxxbridge05$cxx_string$length(const std::string &s) noexcept {
+size_t cxxbridge1$cxx_string$length(const std::string &s) noexcept {
   return s.length();
 }
 
-void cxxbridge05$cxx_string$push(std::string &s, const uint8_t *ptr,
-                                 size_t len) noexcept {
+void cxxbridge1$cxx_string$push(std::string &s, const uint8_t *ptr,
+                                size_t len) noexcept {
   s.append(reinterpret_cast<const char *>(ptr), len);
 }
 
 // rust::String
-void cxxbridge05$string$new(rust::String *self) noexcept;
-void cxxbridge05$string$clone(rust::String *self,
-                              const rust::String &other) noexcept;
-bool cxxbridge05$string$from(rust::String *self, const char *ptr,
-                             size_t len) noexcept;
-void cxxbridge05$string$drop(rust::String *self) noexcept;
-const char *cxxbridge05$string$ptr(const rust::String *self) noexcept;
-size_t cxxbridge05$string$len(const rust::String *self) noexcept;
+void cxxbridge1$string$new(rust::String *self) noexcept;
+void cxxbridge1$string$clone(rust::String *self,
+                             const rust::String &other) noexcept;
+bool cxxbridge1$string$from(rust::String *self, const char *ptr,
+                            size_t len) noexcept;
+void cxxbridge1$string$drop(rust::String *self) noexcept;
+const char *cxxbridge1$string$ptr(const rust::String *self) noexcept;
+size_t cxxbridge1$string$len(const rust::String *self) noexcept;
 
 // rust::Str
-bool cxxbridge05$str$valid(const char *ptr, size_t len) noexcept;
+bool cxxbridge1$str$valid(const char *ptr, size_t len) noexcept;
 } // extern "C"
 
 namespace rust {
-inline namespace cxxbridge05 {
+inline namespace cxxbridge1 {
 
 template <typename Exception>
 void panic [[noreturn]] (const char *msg) {
@@ -61,21 +61,21 @@ void panic [[noreturn]] (const char *msg) {
 
 template void panic<std::out_of_range>[[noreturn]] (const char *msg);
 
-String::String() noexcept { cxxbridge05$string$new(this); }
+String::String() noexcept { cxxbridge1$string$new(this); }
 
 String::String(const String &other) noexcept {
-  cxxbridge05$string$clone(this, other);
+  cxxbridge1$string$clone(this, other);
 }
 
 String::String(String &&other) noexcept {
   this->repr = other.repr;
-  cxxbridge05$string$new(&other);
+  cxxbridge1$string$new(&other);
 }
 
-String::~String() noexcept { cxxbridge05$string$drop(this); }
+String::~String() noexcept { cxxbridge1$string$drop(this); }
 
 static void initString(String *self, const char *s, size_t len) {
-  if (!cxxbridge05$string$from(self, s, len)) {
+  if (!cxxbridge1$string$from(self, s, len)) {
     panic<std::invalid_argument>("data for rust::String is not utf-8");
   }
 }
@@ -96,17 +96,17 @@ String::String(const char *s, size_t len) {
 
 String &String::operator=(const String &other) noexcept {
   if (this != &other) {
-    cxxbridge05$string$drop(this);
-    cxxbridge05$string$clone(this, other);
+    cxxbridge1$string$drop(this);
+    cxxbridge1$string$clone(this, other);
   }
   return *this;
 }
 
 String &String::operator=(String &&other) noexcept {
   if (this != &other) {
-    cxxbridge05$string$drop(this);
+    cxxbridge1$string$drop(this);
     this->repr = other.repr;
-    cxxbridge05$string$new(&other);
+    cxxbridge1$string$new(&other);
   }
   return *this;
 }
@@ -116,12 +116,12 @@ String::operator std::string() const {
 }
 
 const char *String::data() const noexcept {
-  return cxxbridge05$string$ptr(this);
+  return cxxbridge1$string$ptr(this);
 }
 
-size_t String::size() const noexcept { return cxxbridge05$string$len(this); }
+size_t String::size() const noexcept { return cxxbridge1$string$len(this); }
 
-size_t String::length() const noexcept { return cxxbridge05$string$len(this); }
+size_t String::length() const noexcept { return cxxbridge1$string$len(this); }
 
 String::String(unsafe_bitcopy_t, const String &bits) noexcept
     : repr(bits.repr) {}
@@ -134,7 +134,7 @@ std::ostream &operator<<(std::ostream &os, const String &s) {
 Str::Str() noexcept : ptr(reinterpret_cast<const char *>(1)), len(0) {}
 
 static void initStr(const char *ptr, size_t len) {
-  if (!cxxbridge05$str$valid(ptr, len)) {
+  if (!cxxbridge1$str$valid(ptr, len)) {
     panic<std::invalid_argument>("data for rust::Str is not utf-8");
   }
 }
@@ -171,7 +171,7 @@ static_assert(std::is_trivially_copy_assignable<Str>::value,
 static_assert(std::is_trivially_destructible<Str>::value, "trivial ~Str()");
 
 extern "C" {
-const char *cxxbridge05$error(const char *ptr, size_t len) {
+const char *cxxbridge1$error(const char *ptr, size_t len) {
   char *copy = new char[len];
   std::strncpy(copy, ptr, len);
   return copy;
@@ -179,7 +179,7 @@ const char *cxxbridge05$error(const char *ptr, size_t len) {
 } // extern "C"
 
 Error::Error(const Error &other)
-    : std::exception(other), msg(cxxbridge05$error(other.msg, other.len)),
+    : std::exception(other), msg(cxxbridge1$error(other.msg, other.len)),
       len(other.len) {}
 
 Error::Error(Error &&other) noexcept
@@ -195,7 +195,7 @@ Error &Error::operator=(const Error &other) {
     std::exception::operator=(other);
     delete[] this->msg;
     this->msg = nullptr;
-    this->msg = cxxbridge05$error(other.msg, other.len);
+    this->msg = cxxbridge1$error(other.msg, other.len);
     this->len = other.len;
   }
   return *this;
@@ -214,27 +214,27 @@ Error &Error::operator=(Error &&other) noexcept {
 
 const char *Error::what() const noexcept { return this->msg; }
 
-} // namespace cxxbridge05
+} // namespace cxxbridge1
 } // namespace rust
 
 extern "C" {
-void cxxbridge05$unique_ptr$std$string$null(
+void cxxbridge1$unique_ptr$std$string$null(
     std::unique_ptr<std::string> *ptr) noexcept {
   new (ptr) std::unique_ptr<std::string>();
 }
-void cxxbridge05$unique_ptr$std$string$raw(std::unique_ptr<std::string> *ptr,
-                                           std::string *raw) noexcept {
+void cxxbridge1$unique_ptr$std$string$raw(std::unique_ptr<std::string> *ptr,
+                                          std::string *raw) noexcept {
   new (ptr) std::unique_ptr<std::string>(raw);
 }
-const std::string *cxxbridge05$unique_ptr$std$string$get(
+const std::string *cxxbridge1$unique_ptr$std$string$get(
     const std::unique_ptr<std::string> &ptr) noexcept {
   return ptr.get();
 }
-std::string *cxxbridge05$unique_ptr$std$string$release(
+std::string *cxxbridge1$unique_ptr$std$string$release(
     std::unique_ptr<std::string> &ptr) noexcept {
   return ptr.release();
 }
-void cxxbridge05$unique_ptr$std$string$drop(
+void cxxbridge1$unique_ptr$std$string$drop(
     std::unique_ptr<std::string> *ptr) noexcept {
   ptr->~unique_ptr();
 }
@@ -246,81 +246,81 @@ static_assert(sizeof(std::string) <= 8 * sizeof(void *),
               "unexpectedly large std::string size");
 
 #define STD_VECTOR_OPS(RUST_TYPE, CXX_TYPE)                                    \
-  size_t cxxbridge05$std$vector$##RUST_TYPE##$size(                            \
+  size_t cxxbridge1$std$vector$##RUST_TYPE##$size(                             \
       const std::vector<CXX_TYPE> &s) noexcept {                               \
     return s.size();                                                           \
   }                                                                            \
-  const CXX_TYPE *cxxbridge05$std$vector$##RUST_TYPE##$get_unchecked(          \
+  const CXX_TYPE *cxxbridge1$std$vector$##RUST_TYPE##$get_unchecked(           \
       const std::vector<CXX_TYPE> &s, size_t pos) noexcept {                   \
     return &s[pos];                                                            \
   }                                                                            \
-  void cxxbridge05$unique_ptr$std$vector$##RUST_TYPE##$null(                   \
+  void cxxbridge1$unique_ptr$std$vector$##RUST_TYPE##$null(                    \
       std::unique_ptr<std::vector<CXX_TYPE>> *ptr) noexcept {                  \
     new (ptr) std::unique_ptr<std::vector<CXX_TYPE>>();                        \
   }                                                                            \
-  void cxxbridge05$unique_ptr$std$vector$##RUST_TYPE##$raw(                    \
+  void cxxbridge1$unique_ptr$std$vector$##RUST_TYPE##$raw(                     \
       std::unique_ptr<std::vector<CXX_TYPE>> *ptr,                             \
       std::vector<CXX_TYPE> *raw) noexcept {                                   \
     new (ptr) std::unique_ptr<std::vector<CXX_TYPE>>(raw);                     \
   }                                                                            \
   const std::vector<CXX_TYPE>                                                  \
-      *cxxbridge05$unique_ptr$std$vector$##RUST_TYPE##$get(                    \
+      *cxxbridge1$unique_ptr$std$vector$##RUST_TYPE##$get(                     \
           const std::unique_ptr<std::vector<CXX_TYPE>> &ptr) noexcept {        \
     return ptr.get();                                                          \
   }                                                                            \
   std::vector<CXX_TYPE>                                                        \
-      *cxxbridge05$unique_ptr$std$vector$##RUST_TYPE##$release(                \
+      *cxxbridge1$unique_ptr$std$vector$##RUST_TYPE##$release(                 \
           std::unique_ptr<std::vector<CXX_TYPE>> &ptr) noexcept {              \
     return ptr.release();                                                      \
   }                                                                            \
-  void cxxbridge05$unique_ptr$std$vector$##RUST_TYPE##$drop(                   \
+  void cxxbridge1$unique_ptr$std$vector$##RUST_TYPE##$drop(                    \
       std::unique_ptr<std::vector<CXX_TYPE>> *ptr) noexcept {                  \
     ptr->~unique_ptr();                                                        \
   }
 
 #define RUST_VEC_EXTERNS(RUST_TYPE, CXX_TYPE)                                  \
-  void cxxbridge05$rust_vec$##RUST_TYPE##$new(                                 \
+  void cxxbridge1$rust_vec$##RUST_TYPE##$new(                                  \
       rust::Vec<CXX_TYPE> *ptr) noexcept;                                      \
-  void cxxbridge05$rust_vec$##RUST_TYPE##$drop(                                \
+  void cxxbridge1$rust_vec$##RUST_TYPE##$drop(                                 \
       rust::Vec<CXX_TYPE> *ptr) noexcept;                                      \
-  size_t cxxbridge05$rust_vec$##RUST_TYPE##$len(                               \
+  size_t cxxbridge1$rust_vec$##RUST_TYPE##$len(                                \
       const rust::Vec<CXX_TYPE> *ptr) noexcept;                                \
-  const CXX_TYPE *cxxbridge05$rust_vec$##RUST_TYPE##$data(                     \
+  const CXX_TYPE *cxxbridge1$rust_vec$##RUST_TYPE##$data(                      \
       const rust::Vec<CXX_TYPE> *ptr) noexcept;                                \
-  void cxxbridge05$rust_vec$##RUST_TYPE##$reserve_total(                       \
+  void cxxbridge1$rust_vec$##RUST_TYPE##$reserve_total(                        \
       rust::Vec<CXX_TYPE> *ptr, size_t cap) noexcept;                          \
-  void cxxbridge05$rust_vec$##RUST_TYPE##$set_len(rust::Vec<CXX_TYPE> *ptr,    \
-                                                  size_t len) noexcept;        \
-  size_t cxxbridge05$rust_vec$##RUST_TYPE##$stride() noexcept;
+  void cxxbridge1$rust_vec$##RUST_TYPE##$set_len(rust::Vec<CXX_TYPE> *ptr,     \
+                                                 size_t len) noexcept;         \
+  size_t cxxbridge1$rust_vec$##RUST_TYPE##$stride() noexcept;
 
 #define RUST_VEC_OPS(RUST_TYPE, CXX_TYPE)                                      \
   template <>                                                                  \
   Vec<CXX_TYPE>::Vec() noexcept {                                              \
-    cxxbridge05$rust_vec$##RUST_TYPE##$new(this);                              \
+    cxxbridge1$rust_vec$##RUST_TYPE##$new(this);                               \
   }                                                                            \
   template <>                                                                  \
   void Vec<CXX_TYPE>::drop() noexcept {                                        \
-    return cxxbridge05$rust_vec$##RUST_TYPE##$drop(this);                      \
+    return cxxbridge1$rust_vec$##RUST_TYPE##$drop(this);                       \
   }                                                                            \
   template <>                                                                  \
   size_t Vec<CXX_TYPE>::size() const noexcept {                                \
-    return cxxbridge05$rust_vec$##RUST_TYPE##$len(this);                       \
+    return cxxbridge1$rust_vec$##RUST_TYPE##$len(this);                        \
   }                                                                            \
   template <>                                                                  \
   const CXX_TYPE *Vec<CXX_TYPE>::data() const noexcept {                       \
-    return cxxbridge05$rust_vec$##RUST_TYPE##$data(this);                      \
+    return cxxbridge1$rust_vec$##RUST_TYPE##$data(this);                       \
   }                                                                            \
   template <>                                                                  \
   void Vec<CXX_TYPE>::reserve_total(size_t cap) noexcept {                     \
-    cxxbridge05$rust_vec$##RUST_TYPE##$reserve_total(this, cap);               \
+    cxxbridge1$rust_vec$##RUST_TYPE##$reserve_total(this, cap);                \
   }                                                                            \
   template <>                                                                  \
   void Vec<CXX_TYPE>::set_len(size_t len) noexcept {                           \
-    cxxbridge05$rust_vec$##RUST_TYPE##$set_len(this, len);                     \
+    cxxbridge1$rust_vec$##RUST_TYPE##$set_len(this, len);                      \
   }                                                                            \
   template <>                                                                  \
   size_t Vec<CXX_TYPE>::stride() noexcept {                                    \
-    return cxxbridge05$rust_vec$##RUST_TYPE##$stride();                        \
+    return cxxbridge1$rust_vec$##RUST_TYPE##$stride();                         \
   }
 
 // Usize and isize are the same type as one of the below.
@@ -353,7 +353,7 @@ FOR_EACH_RUST_VEC(RUST_VEC_EXTERNS)
 } // extern "C"
 
 namespace rust {
-inline namespace cxxbridge05 {
+inline namespace cxxbridge1 {
 FOR_EACH_RUST_VEC(RUST_VEC_OPS)
-} // namespace cxxbridge05
+} // namespace cxxbridge1
 } // namespace rust
diff --git a/src/cxx_string.rs b/src/cxx_string.rs
index 7a66b47..a2bd72b 100644
--- a/src/cxx_string.rs
+++ b/src/cxx_string.rs
@@ -9,15 +9,15 @@ use core::slice;
 use core::str::{self, Utf8Error};
 
 extern "C" {
-    #[link_name = "cxxbridge05$cxx_string$init"]
+    #[link_name = "cxxbridge1$cxx_string$init"]
     fn string_init(this: &mut MaybeUninit<CxxString>, ptr: *const u8, len: usize);
-    #[link_name = "cxxbridge05$cxx_string$destroy"]
+    #[link_name = "cxxbridge1$cxx_string$destroy"]
     fn string_destroy(this: &mut MaybeUninit<CxxString>);
-    #[link_name = "cxxbridge05$cxx_string$data"]
+    #[link_name = "cxxbridge1$cxx_string$data"]
     fn string_data(this: &CxxString) -> *const u8;
-    #[link_name = "cxxbridge05$cxx_string$length"]
+    #[link_name = "cxxbridge1$cxx_string$length"]
     fn string_length(this: &CxxString) -> usize;
-    #[link_name = "cxxbridge05$cxx_string$push"]
+    #[link_name = "cxxbridge1$cxx_string$push"]
     fn string_push(this: Pin<&mut CxxString>, ptr: *const u8, len: usize);
 }
 
diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index e495a97..d1611db 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -163,7 +163,7 @@ macro_rules! impl_vector_element {
             fn __vector_size(v: &CxxVector<$ty>) -> usize {
                 extern "C" {
                     attr! {
-                        #[link_name = concat!("cxxbridge05$std$vector$", $segment, "$size")]
+                        #[link_name = concat!("cxxbridge1$std$vector$", $segment, "$size")]
                         fn __vector_size(_: &CxxVector<$ty>) -> usize;
                     }
                 }
@@ -172,7 +172,7 @@ macro_rules! impl_vector_element {
             unsafe fn __get_unchecked(v: &CxxVector<$ty>, pos: usize) -> *const $ty {
                 extern "C" {
                     attr! {
-                        #[link_name = concat!("cxxbridge05$std$vector$", $segment, "$get_unchecked")]
+                        #[link_name = concat!("cxxbridge1$std$vector$", $segment, "$get_unchecked")]
                         fn __get_unchecked(_: &CxxVector<$ty>, _: usize) -> *const $ty;
                     }
                 }
@@ -181,7 +181,7 @@ macro_rules! impl_vector_element {
             fn __unique_ptr_null() -> *mut c_void {
                 extern "C" {
                     attr! {
-                        #[link_name = concat!("cxxbridge05$unique_ptr$std$vector$", $segment, "$null")]
+                        #[link_name = concat!("cxxbridge1$unique_ptr$std$vector$", $segment, "$null")]
                         fn __unique_ptr_null(this: *mut *mut c_void);
                     }
                 }
@@ -192,7 +192,7 @@ macro_rules! impl_vector_element {
             unsafe fn __unique_ptr_raw(raw: *mut CxxVector<Self>) -> *mut c_void {
                 extern "C" {
                     attr! {
-                        #[link_name = concat!("cxxbridge05$unique_ptr$std$vector$", $segment, "$raw")]
+                        #[link_name = concat!("cxxbridge1$unique_ptr$std$vector$", $segment, "$raw")]
                         fn __unique_ptr_raw(this: *mut *mut c_void, raw: *mut CxxVector<$ty>);
                     }
                 }
@@ -203,7 +203,7 @@ macro_rules! impl_vector_element {
             unsafe fn __unique_ptr_get(repr: *mut c_void) -> *const CxxVector<Self> {
                 extern "C" {
                     attr! {
-                        #[link_name = concat!("cxxbridge05$unique_ptr$std$vector$", $segment, "$get")]
+                        #[link_name = concat!("cxxbridge1$unique_ptr$std$vector$", $segment, "$get")]
                         fn __unique_ptr_get(this: *const *mut c_void) -> *const CxxVector<$ty>;
                     }
                 }
@@ -212,7 +212,7 @@ macro_rules! impl_vector_element {
             unsafe fn __unique_ptr_release(mut repr: *mut c_void) -> *mut CxxVector<Self> {
                 extern "C" {
                     attr! {
-                        #[link_name = concat!("cxxbridge05$unique_ptr$std$vector$", $segment, "$release")]
+                        #[link_name = concat!("cxxbridge1$unique_ptr$std$vector$", $segment, "$release")]
                         fn __unique_ptr_release(this: *mut *mut c_void) -> *mut CxxVector<$ty>;
                     }
                 }
@@ -221,7 +221,7 @@ macro_rules! impl_vector_element {
             unsafe fn __unique_ptr_drop(mut repr: *mut c_void) {
                 extern "C" {
                     attr! {
-                        #[link_name = concat!("cxxbridge05$unique_ptr$std$vector$", $segment, "$drop")]
+                        #[link_name = concat!("cxxbridge1$unique_ptr$std$vector$", $segment, "$drop")]
                         fn __unique_ptr_drop(this: *mut *mut c_void);
                     }
                 }
diff --git a/src/result.rs b/src/result.rs
index fcced76..29c5d67 100644
--- a/src/result.rs
+++ b/src/result.rs
@@ -34,7 +34,7 @@ unsafe fn to_c_error(msg: String) -> Result {
     let len = msg.len();
 
     extern "C" {
-        #[link_name = "cxxbridge05$error"]
+        #[link_name = "cxxbridge1$error"]
         fn error(ptr: *const u8, len: usize) -> *const u8;
     }
 
diff --git a/src/symbols/exception.rs b/src/symbols/exception.rs
index b408f25..0c1bb87 100644
--- a/src/symbols/exception.rs
+++ b/src/symbols/exception.rs
@@ -2,7 +2,7 @@ use alloc::boxed::Box;
 use alloc::string::String;
 use core::slice;
 
-#[export_name = "cxxbridge05$exception"]
+#[export_name = "cxxbridge1$exception"]
 unsafe extern "C" fn exception(ptr: *const u8, len: usize) -> *const u8 {
     let slice = slice::from_raw_parts(ptr, len);
     let boxed = String::from_utf8_lossy(slice).into_owned().into_boxed_str();
diff --git a/src/symbols/rust_str.rs b/src/symbols/rust_str.rs
index b655381..041147d 100644
--- a/src/symbols/rust_str.rs
+++ b/src/symbols/rust_str.rs
@@ -1,7 +1,7 @@
 use core::slice;
 use core::str;
 
-#[export_name = "cxxbridge05$str$valid"]
+#[export_name = "cxxbridge1$str$valid"]
 unsafe extern "C" fn str_valid(ptr: *const u8, len: usize) -> bool {
     let slice = slice::from_raw_parts(ptr, len);
     str::from_utf8(slice).is_ok()
diff --git a/src/symbols/rust_string.rs b/src/symbols/rust_string.rs
index e5ab9ea..944aec4 100644
--- a/src/symbols/rust_string.rs
+++ b/src/symbols/rust_string.rs
@@ -5,17 +5,17 @@ use core::ptr;
 use core::slice;
 use core::str;
 
-#[export_name = "cxxbridge05$string$new"]
+#[export_name = "cxxbridge1$string$new"]
 unsafe extern "C" fn string_new(this: &mut MaybeUninit<String>) {
     ptr::write(this.as_mut_ptr(), String::new());
 }
 
-#[export_name = "cxxbridge05$string$clone"]
+#[export_name = "cxxbridge1$string$clone"]
 unsafe extern "C" fn string_clone(this: &mut MaybeUninit<String>, other: &String) {
     ptr::write(this.as_mut_ptr(), other.clone());
 }
 
-#[export_name = "cxxbridge05$string$from"]
+#[export_name = "cxxbridge1$string$from"]
 unsafe extern "C" fn string_from(
     this: &mut MaybeUninit<String>,
     ptr: *const u8,
@@ -31,17 +31,17 @@ unsafe extern "C" fn string_from(
     }
 }
 
-#[export_name = "cxxbridge05$string$drop"]
+#[export_name = "cxxbridge1$string$drop"]
 unsafe extern "C" fn string_drop(this: &mut ManuallyDrop<String>) {
     ManuallyDrop::drop(this);
 }
 
-#[export_name = "cxxbridge05$string$ptr"]
+#[export_name = "cxxbridge1$string$ptr"]
 unsafe extern "C" fn string_ptr(this: &String) -> *const u8 {
     this.as_ptr()
 }
 
-#[export_name = "cxxbridge05$string$len"]
+#[export_name = "cxxbridge1$string$len"]
 unsafe extern "C" fn string_len(this: &String) -> usize {
     this.len()
 }
diff --git a/src/symbols/rust_vec.rs b/src/symbols/rust_vec.rs
index 90fbc54..df6dec6 100644
--- a/src/symbols/rust_vec.rs
+++ b/src/symbols/rust_vec.rs
@@ -11,43 +11,43 @@ macro_rules! rust_vec_shims {
 
         const _: () = {
             attr! {
-                #[export_name = concat!("cxxbridge05$rust_vec$", $segment, "$new")]
+                #[export_name = concat!("cxxbridge1$rust_vec$", $segment, "$new")]
                 unsafe extern "C" fn __new(this: *mut RustVec<$ty>) {
                     ptr::write(this, RustVec { repr: Vec::new() });
                 }
             }
             attr! {
-                #[export_name = concat!("cxxbridge05$rust_vec$", $segment, "$drop")]
+                #[export_name = concat!("cxxbridge1$rust_vec$", $segment, "$drop")]
                 unsafe extern "C" fn __drop(this: *mut RustVec<$ty>) {
                     ptr::drop_in_place(this);
                 }
             }
             attr! {
-                #[export_name = concat!("cxxbridge05$rust_vec$", $segment, "$len")]
+                #[export_name = concat!("cxxbridge1$rust_vec$", $segment, "$len")]
                 unsafe extern "C" fn __len(this: *const RustVec<$ty>) -> usize {
                     (*this).repr.len()
                 }
             }
             attr! {
-                #[export_name = concat!("cxxbridge05$rust_vec$", $segment, "$data")]
+                #[export_name = concat!("cxxbridge1$rust_vec$", $segment, "$data")]
                 unsafe extern "C" fn __data(this: *const RustVec<$ty>) -> *const $ty {
                     (*this).repr.as_ptr()
                 }
             }
             attr! {
-                #[export_name = concat!("cxxbridge05$rust_vec$", $segment, "$reserve_total")]
+                #[export_name = concat!("cxxbridge1$rust_vec$", $segment, "$reserve_total")]
                 unsafe extern "C" fn __reserve_total(this: *mut RustVec<$ty>, cap: usize) {
                     (*this).reserve_total(cap);
                 }
             }
             attr! {
-                #[export_name = concat!("cxxbridge05$rust_vec$", $segment, "$set_len")]
+                #[export_name = concat!("cxxbridge1$rust_vec$", $segment, "$set_len")]
                 unsafe extern "C" fn __set_len(this: *mut RustVec<$ty>, len: usize) {
                     (*this).repr.set_len(len);
                 }
             }
             attr! {
-                #[export_name = concat!("cxxbridge05$rust_vec$", $segment, "$stride")]
+                #[export_name = concat!("cxxbridge1$rust_vec$", $segment, "$stride")]
                 unsafe extern "C" fn __stride() -> usize {
                     mem::size_of::<$ty>()
                 }
diff --git a/src/unique_ptr.rs b/src/unique_ptr.rs
index baba32e..c4d436e 100644
--- a/src/unique_ptr.rs
+++ b/src/unique_ptr.rs
@@ -171,15 +171,15 @@ pub unsafe trait UniquePtrTarget {
 }
 
 extern "C" {
-    #[link_name = "cxxbridge05$unique_ptr$std$string$null"]
+    #[link_name = "cxxbridge1$unique_ptr$std$string$null"]
     fn unique_ptr_std_string_null(this: *mut *mut c_void);
-    #[link_name = "cxxbridge05$unique_ptr$std$string$raw"]
+    #[link_name = "cxxbridge1$unique_ptr$std$string$raw"]
     fn unique_ptr_std_string_raw(this: *mut *mut c_void, raw: *mut CxxString);
-    #[link_name = "cxxbridge05$unique_ptr$std$string$get"]
+    #[link_name = "cxxbridge1$unique_ptr$std$string$get"]
     fn unique_ptr_std_string_get(this: *const *mut c_void) -> *const CxxString;
-    #[link_name = "cxxbridge05$unique_ptr$std$string$release"]
+    #[link_name = "cxxbridge1$unique_ptr$std$string$release"]
     fn unique_ptr_std_string_release(this: *mut *mut c_void) -> *mut CxxString;
-    #[link_name = "cxxbridge05$unique_ptr$std$string$drop"]
+    #[link_name = "cxxbridge1$unique_ptr$std$string$drop"]
     fn unique_ptr_std_string_drop(this: *mut *mut c_void);
 }
 
diff --git a/syntax/mangle.rs b/syntax/mangle.rs
index cc5115a..84e3398 100644
--- a/syntax/mangle.rs
+++ b/syntax/mangle.rs
@@ -2,7 +2,7 @@ use crate::syntax::symbol::{self, Symbol};
 use crate::syntax::{ExternFn, Types};
 use proc_macro2::Ident;
 
-const CXXBRIDGE: &str = "cxxbridge05";
+const CXXBRIDGE: &str = "cxxbridge1";
 
 macro_rules! join {
     ($($segment:expr),*) => {
diff --git a/syntax/symbol.rs b/syntax/symbol.rs
index 253f57d..9a0a4a1 100644
--- a/syntax/symbol.rs
+++ b/syntax/symbol.rs
@@ -5,7 +5,7 @@ use quote::ToTokens;
 use std::fmt::{self, Display, Write};
 
 // A mangled symbol consisting of segments separated by '$'.
-// For example: cxxbridge05$string$new
+// For example: cxxbridge1$string$new
 pub struct Symbol(String);
 
 impl Display for Symbol {
diff --git a/tests/cxx_gen.rs b/tests/cxx_gen.rs
index a0c9ff4..d33092c 100644
--- a/tests/cxx_gen.rs
+++ b/tests/cxx_gen.rs
@@ -20,7 +20,7 @@ fn test_extern_c_function() {
     let output = str::from_utf8(&generated.implementation).unwrap();
     // To avoid continual breakage we won't test every byte.
     // Let's look for the major features.
-    assert!(output.contains("void cxxbridge05$do_cpp_thing(::rust::repr::PtrLen foo)"));
+    assert!(output.contains("void cxxbridge1$do_cpp_thing(::rust::repr::PtrLen foo)"));
 }
 
 #[test]
@@ -30,5 +30,5 @@ fn test_impl_annotation() {
     let source = BRIDGE0.parse().unwrap();
     let generated = generate_header_and_cc(source, &opt).unwrap();
     let output = str::from_utf8(&generated.implementation).unwrap();
-    assert!(output.contains("ANNOTATION void cxxbridge05$do_cpp_thing(::rust::repr::PtrLen foo)"));
+    assert!(output.contains("ANNOTATION void cxxbridge1$do_cpp_thing(::rust::repr::PtrLen foo)"));
 }

